Loading...
Searching...
No Matches
sdbus::function_traits< void(Result< Results... >, Args...)> Struct Template Reference
Inheritance diagram for sdbus::function_traits< void(Result< Results... >, Args...)>:

## Public Types

using | async_result_t = Result<Results...>
Public Types inherited from sdbus::function_traits_base< std::tuple< Results... >, Args... >
using | result_type
using | arguments_type
using | decayed_arguments_type
using | function_type
using | arg_t

## Static Public Attributes

static constexpr bool | is_async = true
Static Public Attributes inherited from sdbus::function_traits_base< std::tuple< Results... >, Args... >
static constexpr std::size_t | arity

The documentation for this struct was generated from the following file:

- include/sdbus-c++/TypeTraits.h